CHAGE(1)

NAME
chage - change user password expiry information

SYNOPSIS

chage [options] user

DESCRIPTION

chage command changes the number of days between passwordchanges and the date of the last password change. This information is used by the system to determine when a user must change her password.

OPTIONS

The options which apply to the chage command are:

-d, --lastday LAST_DAY
    Set the number of days since January 1st, 1970 when the password was last changed. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area).

-E, --expiredate EXPIRE_DATE
    Set the date on which the user's account will no longer be accessible. The EXPIRE_DATE option is the number of days since January 1, 1970 on which the accounted is locked. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area). A user whose account is locked must contact the system administrator before being able to use the system again. Passing the number -1 as the EXPIRE_DATE will remove an accounts expiration date.

-I, --inactive INACTIVE
    Set the number of days of inactivity after a password has expired before the account is locked. The INACTIVE option is the number of days of inactivity. A value of 0 disables this feature. A user whose account is locked must contact the system administrator before being able to use the system again.

-l, --list
    Show account aging information.

-m, --mindays MIN_DAYS
    Set the minimum number of days between password changes. A value of zero for this field indicates that the user may change her password at any time.

-M, --maxdays MAX_DAYS
    Set maximum number of days during which a password is valid. When MAX_DAYS plus LAST_DAY is less than the current day, the user will be required to change her password before being able to use her account. This occurrence can be planned for in advance by use of the -W option, which provides the user with advance warning.

-W, warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned her password is about to expire.

If none of the options are selected, chage operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks.

NOTE

The chage program requires shadow password file to be available. Its functionality is not available when passwords are stored in the passwd file.

The chage command is restricted to the root user, except for the -l option, which may be used by an unprivileged user to determine when her password or account is due to expire.

FILES

/etc/passwd
    user account information

/etc/shadow
    secure user account information

SEE ALSO

passwd(5), shadow(5).

AUTHOR

Julianne Frances Haugh <jockgrrl@ix.netcom.com>